POST
/sso/providersList SSO providers
Lists SSO providers available to the authenticated user. Use query to filter the list and cursor or beforeCursor to navigate between pages of results.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Optional filters and cursor-pagination settings for listing SSO providers.
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated list of SSO providers.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user is not permitted to list SSO providers.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to list SSO providers. limit must be between 1 and 100; it defaults to 20 when omitted.